<?xml version="1.0"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:str="http://exslt.org/strings"
    xmlns:exsl="http://exslt.org/common"
    extension-element-prefixes="str">
    
    <xsl:import href="tpl_sanitize_6100.xsl" />
    
    <xsl:output method="text"/>

    <!--transform CCListingData-->
    <xsl:template match="/">
        {
        <xsl:for-each select="//*[local-name()='Item']">
            "posting_id": "<xsl:call-template name="tpl_sanitize"><xsl:with-param name="text" select="*[local-name()='ItemID']"/></xsl:call-template>",
            "title": "<xsl:call-template name="tpl_sanitize"><xsl:with-param name="text" select="*[local-name()='Title']"/></xsl:call-template>",
            "link": "<xsl:call-template name="tpl_sanitize"><xsl:with-param name="text" select="*[local-name()='ViewItemURLForNaturalSearch']"/></xsl:call-template>",
            "thumbnail_link": "<xsl:call-template name="tpl_sanitize"><xsl:with-param name="text" select="*[local-name()='PictureURL']"/></xsl:call-template>",
            "price": "<xsl:call-template name="tpl_sanitize"><xsl:with-param name="text" select="str:replace(concat(*[local-name()='CurrentPrice']/@currencyID,*[local-name()='CurrentPrice']),'USD','$')"/></xsl:call-template>",
            "place": "<xsl:call-template name="tpl_sanitize"><xsl:with-param name="text" select="*[local-name()='Location']"/></xsl:call-template>",
            "descr": "<xsl:call-template name="tpl_sanitize"><xsl:with-param name="text" select="*[local-name()='Description']"/></xsl:call-template>",
            "image_urls": [
            <xsl:for-each select="*[local-name()='PictureURL']">
                "<xsl:call-template name="tpl_sanitize"><xsl:with-param name="text" select="."/></xsl:call-template>"
                <xsl:if test="position()!=last()">,</xsl:if>
            </xsl:for-each>
            ],
            "is_expired": <xsl:value-of select="*[local-name()='ListingStatus'] != 'Active'"/>
        </xsl:for-each>
        }
    </xsl:template>
    
</xsl:stylesheet>
