<?xml version="1.0"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:str="http://exslt.org/strings"
    xmlns:exsl="http://exslt.org/common"
    xmlns:regexp="http://exslt.org/regular-expressions"
    extension-element-prefixes="str regexp">
    
    <xsl:import href="tpl_sanitize_6100.xsl" />
    
    <xsl:output method="text"/>

    <xsl:template match="/">
        {
            "body": "<xsl:for-each select="//div[@class='page-container']//blockquote/p">
                    <xsl:call-template name="tpl_sanitize">
                        <xsl:with-param name="text">
                            <xsl:value-of select="." />
                        </xsl:with-param>
                    </xsl:call-template>
                    <xsl:if test="position()!=last()">
                        <xsl:value-of select="'\n'" />
                    </xsl:if>
                </xsl:for-each>",
            "is_flagged": <xsl:choose>
                <xsl:when test="contains(string(.), 'flagged')">
                    true
                </xsl:when>
                <xsl:when test="//header[contains(@text, 'thanks for nominating this post')]">
                    true
                </xsl:when>
                <xsl:when test="//p[contains(string(.), 'thanks for taking the time to flag')]">
                    true
                </xsl:when>
                <xsl:when test="//p[contains(string(.), 'thanks for letting us know!')]">
                    true
                </xsl:when>
                <xsl:otherwise>
                    false
                </xsl:otherwise>
            </xsl:choose>
        }
    </xsl:template>
</xsl:stylesheet>
