<?xml version="1.0"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:str="http://exslt.org/strings"
    xmlns:exsl="http://exslt.org/common"
    xmlns:regexp="http://exslt.org/regular-expressions"
    extension-element-prefixes="str regexp">
    
    <xsl:import href="tpl_sanitize_6100.xsl" />

    <xsl:output method="text"/>
    
    <xsl:template match="/">
        {
        "has_captcha": <xsl:choose>
            <xsl:when test="//form[@id='standalone_captcha']">true</xsl:when>
            <xsl:otherwise>false</xsl:otherwise>
        </xsl:choose>,
        
        "preferred_contact_method": "<xsl:for-each select="//div[@class='reply_options']//b[text()='preferred contact method:']/following-sibling::*[1]/li">
            <xsl:value-of select="." />
            <xsl:if test="position()!=last()">,</xsl:if>
        </xsl:for-each>"
      
        <xsl:for-each select="//div[@class='reply_options']//b[text()='contact name:']/following-sibling::*[1]/li">
            ,"contact_name": "<xsl:call-template name="tpl_sanitize"><xsl:with-param name="text"><xsl:value-of select="." /></xsl:with-param></xsl:call-template>"
        </xsl:for-each>
        
        <xsl:for-each select="//a[(contains(@href, 'tel:') or contains(@href, 'sms:')) and position()=1]">
        ,"phone": "<xsl:value-of select="str:replace(str:replace(str:replace(@href,'tel:',''),'sms:',''),' ','')" />"
        </xsl:for-each>
        
        <xsl:if test="//a[contains(@href, 'mailto')]">
        ,"email": "<xsl:value-of select="//a[contains(@href, 'mailto')]" />",
        
        "subject": "<xsl:value-of select="regexp:replace(regexp:replace(string(//a[contains(@href, 'mailto')]/@href), '^.+subject=', 'i', ''), '&amp;body.+$', 'i', '')" />",
        "body": "<xsl:value-of select="regexp:replace(string(//a[contains(@href, 'mailto')]/@href), '^.+body=', 'i', '')" />"
        </xsl:if>
        }
    </xsl:template>
</xsl:stylesheet>
