<?xml version="1.0"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:str="http://exslt.org/strings"
    xmlns:exsl="http://exslt.org/common"
    xmlns:regexp="http://exslt.org/regular-expressions"
    extension-element-prefixes="str regexp">
    
    <xsl:import href="tpl_sanitize_6100.xsl" />

    <xsl:output method="text"/>
    
    <xsl:param name="URL" />
    
    <xsl:template match="/">
        {
        <xsl:if test="not (//aside[contains(@class,'reply-flap')])">
            "captcha": {
                "url": "<xsl:value-of select="substring($URL, 1, string-length($URL) - 1)" />",
                "site": "<xsl:value-of select="//input[@name='site_key']/@value" />",
                "token_key": "g-recaptcha-response",
                "fields": [
                    { "n": "<xsl:value-of select="//input[@name='n']/@value" />" }
                ],
                "html": "&lt;html&gt;&lt;head&gt;&lt;script src='https://www.google.com/recaptcha/api.js' async defer&gt;&lt;/script&gt;&lt;/html&gt;"
            },
        </xsl:if>
        
        "preferred_contact_method": "<xsl:for-each select="//li[@class='reply-tel']/h1/a">
            <xsl:call-template name="tpl_sanitize"><xsl:with-param name="text"><xsl:value-of select="." /></xsl:with-param></xsl:call-template>
            <xsl:if test="position()!=last()">,</xsl:if>
        </xsl:for-each>"
      
        <xsl:for-each select="//ul/li/h1[text()='contact name:']/following-sibling::*[1]">
            ,"contact_name": "<xsl:call-template name="tpl_sanitize"><xsl:with-param name="text"><xsl:value-of select="." /></xsl:with-param></xsl:call-template>"
        </xsl:for-each>
        
        <xsl:for-each select="//span[@id='reply-tel-number']">
        ,"phone": "<xsl:value-of select="str:replace(//span[@id='reply-tel-number'],' ','')" />"
        </xsl:for-each>
        
        <xsl:if test="//a[contains(@href, 'mailto')]">
        ,"email": "<xsl:value-of select="//a[contains(@href, 'mailto')]" />",
        
        "subject": "<xsl:value-of select="regexp:replace(regexp:replace(string(//a[contains(@href, 'mailto')]/@href), '^.+subject=', 'i', ''), '&amp;body.+$', 'i', '')" />",
        "body": "<xsl:value-of select="regexp:replace(string(//a[contains(@href, 'mailto')]/@href), '^.+body=', 'i', '')" />"
        </xsl:if>
        }
    </xsl:template>
</xsl:stylesheet>
