<?xml version="1.0"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:str="http://exslt.org/strings"
    xmlns:exsl="http://exslt.org/common"
    xmlns:regexp="http://exslt.org/regular-expressions"
    extension-element-prefixes="str regexp">
    
    <xsl:import href="xml-to-string.xsl" />
    <xsl:import href="tpl_sanitize_6100.xsl" />
    
    <xsl:output method="text"/>
    
    <xsl:param name="URL" />
    
    <xsl:template match="/">
        <xsl:variable name="content">
            <xsl:call-template name="xml-to-string"> <xsl:with-param name="node-set" select="."/> </xsl:call-template>
        </xsl:variable>
        {
        <xsl:choose>
            <xsl:when test="//a[@class='show-contact']">
                "captcha": {
                    "url": "<xsl:value-of select="substring($URL, 1, string-length($URL) - 1)" />",
                    "site": "<xsl:value-of select="//input[@name='site_key']/@value" />",
                    "token_key": "g-recaptcha-response",
                    "fields": [
                        { "n": "<xsl:value-of select="//input[@name='n']/@value" />" }
                    ],
                    "html": "&lt;html&gt;&lt;head&gt;&lt;script src='https://www.google.com/recaptcha/api.js' async defer&gt;&lt;/script&gt;&lt;/html&gt;"
                }
            </xsl:when>
            <xsl:otherwise>
                "body": "<xsl:call-template name="tpl_sanitize"><xsl:with-param name="text"><xsl:value-of select="$content" /></xsl:with-param></xsl:call-template>",
                "descr": "<xsl:call-template name="tpl_sanitize"><xsl:with-param name="text"><xsl:value-of select="."/></xsl:with-param></xsl:call-template>"
            </xsl:otherwise>
        </xsl:choose>
        }
    </xsl:template>
    
    
</xsl:stylesheet>
