<?xml version="1.0"?>

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:str="http://exslt.org/strings"
                xmlns:regexp="http://exslt.org/regular-expressions"
                extension-element-prefixes="str regexp">

    <xsl:import href="tpl_sanitize_6100.xsl" />
    <xsl:import href="tpl_prepend_url_6100.xsl" />
    
    <xsl:output method="text"/>

    <xsl:param name="locationHref" />
    <xsl:param name="categoryHref" />
    <xsl:param name="baseURL" />
    <xsl:param name="sequence" />
    <xsl:param name="URL" />

    <!--transform CCListingsContainer-->
    <xsl:template match="/">
      {
        "listings": <xsl:call-template name="tpl_listings"/>,
        "link_next": "<xsl:call-template name="tpl_prepend_href_with_base_url"><xsl:with-param name="href" select="//a[contains(@class,'next')]/@href"/></xsl:call-template>",
        "total_count": <xsl:choose>
            <xsl:when test="//span[@class='totalcount']"><xsl:value-of select="//span[@class='totalcount']"/></xsl:when>
            <xsl:otherwise>0</xsl:otherwise>
        </xsl:choose>,
        "request_url": "<xsl:value-of select="$URL"/>"
      }
    </xsl:template>

    <!--transform CCListingData-->
    <xsl:template name="tpl_listings">
        [
        <xsl:for-each select="//table[@class='bestoftoc']//tr[position()!=1]">
            {
            <xsl:for-each select="./td">
                <xsl:if test="position()=1">
                    "grouping_info": <xsl:call-template name="tpl_grouping_info"></xsl:call-template>,
                </xsl:if>
                <xsl:if test="position()=2">
                    "posting_id":"<xsl:for-each select="regexp:match(string(a/@href),'/\d+\.html','i')">
                        <xsl:value-of select="substring-after(str:replace(.,'.html',''),'/')"/>
                    </xsl:for-each>",
                    "title": "<xsl:call-template name="tpl_sanitize"><xsl:with-param name="text" select="a"/></xsl:call-template>",
                    "link": "<xsl:value-of select="a/@href"/>",
                </xsl:if>
                <xsl:if test="position()=4">
                    "place": "<xsl:value-of select="a"/>",
                </xsl:if>
            </xsl:for-each>
            "location_href": "<xsl:value-of select="$locationHref"/>",
            "category_href": "<xsl:value-of select="$categoryHref"/>"
            }
            <xsl:if test="position()!=last()">,</xsl:if>
        </xsl:for-each>
        ]
    </xsl:template>

    <!--transform CCListingGroupingInfo-->
    <xsl:template name="tpl_grouping_info">
        {
        "date_string": "<xsl:value-of select="."/>",
        "date_format": "d MMM yyyy",
        "sequence": <xsl:value-of select="$sequence"/>
        }
    </xsl:template>

</xsl:stylesheet>
