<?xml version="1.0"?>

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:str="http://exslt.org/strings"
                xmlns:regexp="http://exslt.org/regular-expressions"
                extension-element-prefixes="str regexp">

    <xsl:import href="tpl_prepend_url_6100.xsl" />
    <xsl:import href="tpl_sanitize_6100.xsl" />

    <xsl:output method="text"/>

    <xsl:param name="baseURL" />
    <xsl:param name="URL" />

    <!--transform CCListingsContainer-->
    <xsl:template match="/">
      {
        "listings": <xsl:call-template name="tpl_listings"/>
      }
    </xsl:template>

    <!--transform CCListingData-->
    <xsl:template name="tpl_listings">
        [
        <xsl:for-each select="//li[@class='result-row']">
            {
            "posting_id": "<xsl:value-of select="@data-pid"/>",
            "grouping_info": <xsl:call-template name="tpl_grouping_info"></xsl:call-template>
            }
            <xsl:if test="position()!=last()">,</xsl:if>
        </xsl:for-each>
        ]
    </xsl:template>

    <!--transform CCListingGroupingInfo-->
    <xsl:variable name="currentDate">
        <xsl:if test="regexp:test(//span[contains(@class,'cur_day')],'.* \w{3} \w{3}[ ]+\d+','i')">
            <xsl:for-each select="regexp:match(string(//span[contains(@class,'cur_day')]),'\w{3} \w{3}[ ]+\d+','i')">
                <xsl:value-of select="."/>
            </xsl:for-each>
        </xsl:if>
    </xsl:variable>
    <xsl:template name="tpl_grouping_info">
        {
        <xsl:choose>
            <xsl:when test="$currentDate!=''">
                "date_string": "<xsl:value-of select="$currentDate"/>",
                "date_format": "EEE MMM d"
            </xsl:when>
            <xsl:when test="regexp:test(string(preceding-sibling::h4[@class='ban' and position()=1]/span),'.* \w{3} \w{3}[ ]+\d+','i')">
                "date_string": "<xsl:for-each select="regexp:match(string(preceding-sibling::h4[@class='ban' and position()=1]/span),'\w{3} \w{3}[ ]+\d+','i')">
                    <xsl:value-of select="."/>
                </xsl:for-each>",
                "date_format": "EEE MMM d",
                "ignore_date_sorting": 1
            </xsl:when>
            <xsl:when test="contains(.//time/@datetime, 'T')">
                "date_string": "<xsl:value-of select="substring-before(.//time/@datetime,'T')"/>",
                "date_format": "yyyy-MM-dd"
            </xsl:when>
            <xsl:when test="contains(.//time/@datetime, ' ')">
                "date_string": "<xsl:value-of select="substring-before(.//time/@datetime,' ')"/>",
                "date_format": "yyyy-MM-dd"
            </xsl:when>
            <xsl:otherwise>
                "date_string": "<xsl:value-of select="substring-before(.//time,' ')"/>",
                "date_format": "yyyy-MM-dd"
            </xsl:otherwise>
        </xsl:choose>
        }
    </xsl:template>

</xsl:stylesheet>
