<?xml version="1.0"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:str="http://exslt.org/strings"
    xmlns:exsl="http://exslt.org/common"
    extension-element-prefixes="str">
    
    <xsl:import href="tpl_sanitize_6100.xsl" />
    
    <xsl:output method="text"/>
    
    <!--transform CCPostManageAccountData-->
    <xsl:template match="/">
        {
        "posted_listings": <xsl:call-template name="tpl_posted_listings"/>
        }
    </xsl:template>
    
    <!--transform CCPostedListingData-->
    <xsl:template name="tpl_posted_listings">
        [
        <xsl:for-each select="//table[@id='draftslist']/tbody/tr">
            {
            <xsl:for-each select="./td">
                <xsl:if test="position()=1">
                    "color_data": {
                    "display_name": "<xsl:call-template name="tpl_sanitize"><xsl:with-param name="text" select="."/></xsl:call-template>",
                    "color_name": "#ffc0cb"
                    },
                </xsl:if>
                <xsl:if test="position()=2">
                    "posting_title": "<xsl:call-template name="tpl_sanitize"><xsl:with-param name="text" select="."/></xsl:call-template>",
                    "link": "<xsl:value-of select="./a/@href"/>",
                </xsl:if>
                <xsl:if test="position()=3">
                    "area": "<xsl:call-template name="tpl_sanitize"><xsl:with-param name="text" select="."/></xsl:call-template>",
                </xsl:if>
                <xsl:if test="position()=4">
                    "category": "<xsl:call-template name="tpl_sanitize"><xsl:with-param name="text" select="."/></xsl:call-template>",
                </xsl:if>
                <xsl:if test="position()=5">
                    "posted_date": "<xsl:call-template name="tpl_sanitize"><xsl:with-param name="text" select="."/></xsl:call-template>"
                </xsl:if>
            </xsl:for-each>
            }
            <xsl:if test="position()!=last()">,</xsl:if>
        </xsl:for-each>
        ]
    </xsl:template>
    
</xsl:stylesheet>

