<?xml version="1.0"?>

<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
>

    <xsl:import href="tpl_post_common.xsl" />
    <xsl:import href="tpl_sanitize_6100.xsl" />
    <xsl:import href="tpl_prepend_url_6100.xsl" />

    <xsl:output method="text"/>
    <!--transform CCPostFormData-->

    <xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="manage_account_email_change" match="/">
    {
        <xsl:variable name="ChangeError" select="//section[@class='email-change-container']//p[@class='error']" />
        <xsl:if test="$ChangeError">
            "error": "<xsl:value-of select="//section[@class='email-change-container']//p[@class='error']/text()"/>",
        </xsl:if>
       "forms": [
           {
               "name": "submit",
               "action_url" : "<xsl:value-of select="//form/@action"/>",
               "method" : "<xsl:value-of select="//form/@method"/>",
        
               "fields": [
                    {
                    "id":"<xsl:value-of select="//form/div[@class='row']/div[@class='row-input']/input[@name='inputNewEmail']/@id"/>",
                       "name" : "inputNewEmail",
                       "value" : "<xsl:value-of select="//form/div[@class='row']/div[@class='row-input']/input[@name='inputNewEmail']/@value"/>",
                       "type" : "email",
                       "required": true
                   },
                   {
                    "id":"<xsl:value-of select="//form/div[@class='row']/div[@class='row-input']/input[@name='inputNewEmailRetype']/@id"/>",
                       "name" : "inputNewEmailRetype",
                       "value" : "<xsl:value-of select="//form/div[@class='row']/div[@class='row-input']/input[@name='inputNewEmailRetype']/@value"/>",
                       "type" : "email",
                       "required": true
                   }
               ]
           }
       ]
    }
    </xsl:template>
    
    <xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="manage_account_email_change_success" match="/">
    {
       "message": "<xsl:value-of select="concat(//section//div[@class='email-change-step']//blockquote/font[1]/text(), ' ', //section//div[@class='email-change-step']//blockquote/font[2]/text())"/>"
    }
    </xsl:template>
</xsl:stylesheet>
