<?xml version="1.0"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:str="http://exslt.org/strings"
    xmlns:exsl="http://exslt.org/common"
    extension-element-prefixes="str">
    
    <xsl:import href="tpl_sanitize_6100.xsl" />
    
    <xsl:output method="text"/>
    
    <xsl:param name="actionURL" />
    
    <!--transform CCPostManageAccountData-->
    <xsl:template match="/">
        {
        "saved_searches": <xsl:call-template name="tpl_saved_searches"/>
        }
    </xsl:template>
    
    <!--transform CCSavedSearchData-->
    <xsl:template name="tpl_saved_searches">
        [
        <xsl:for-each select="//form">
            {
                "post_form_datas": [
                    {
                    "method": "<xsl:value-of select="@method"/>",
                    "action_url": "<xsl:value-of select="$actionURL"/>",
                    "message": "<xsl:call-template name="tpl_sanitize">
                        <xsl:with-param name="text" select="div[@class='confirm']/p"/>
                    </xsl:call-template>",
                    "top_title": "<xsl:call-template name="tpl_sanitize">
                        <xsl:with-param name="text" select="button/text()"/>
                    </xsl:call-template>",
                    "fields": [
                    <xsl:for-each select="input | button">
                        {
                        "type": "<xsl:value-of select="@type"/>",
                        "value": "<xsl:value-of select="@value"/>",
                        "name": "<xsl:value-of select="@name"/>"
                        }
                        <xsl:if test="position()!=last()">,</xsl:if>
                    </xsl:for-each>
                    ]
                    }
                ]
            }
        </xsl:for-each>
        ]
    </xsl:template>
    
</xsl:stylesheet>

