<?xml version="1.0"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:str="http://exslt.org/strings"
    xmlns:exsl="http://exslt.org/common"
    xmlns:regexp="http://exslt.org/regular-expressions"
    extension-element-prefixes="str regexp">
    
    <xsl:import href="tpl_sanitize_6100.xsl" />
    <xsl:import href="xml-to-string.xsl" />

    <xsl:output method="text"/>

    <xsl:variable name="pageTitle">
        <xsl:value-of select="//head/title"/>
    </xsl:variable>

    <xsl:variable name="content">
        <xsl:call-template name="xml-to-string"> <xsl:with-param name="node-set" select="."/></xsl:call-template>
    </xsl:variable>

    <xsl:template match="/">
        {
            "email": "<xsl:call-template name="tpl_sanitize">
                        <xsl:with-param name="text">
                            <xsl:value-of select="//header[@class='account-header']//a[@href='https://accounts.craigslist.org/login/home']"/>
                        </xsl:with-param>
                    </xsl:call-template>",
            "pageTitle": "<xsl:value-of select="$pageTitle"/>",
            "html": "<xsl:call-template name="tpl_sanitize"><xsl:with-param name="text"><xsl:value-of select="$content"/></xsl:with-param></xsl:call-template>",
            "alert": "<xsl:call-template name="tpl_sanitize">
                        <xsl:with-param name="text">
                            <xsl:value-of select="//form/div[@role='alert']//p"/>
                        </xsl:with-param>
                    </xsl:call-template>"
        }
    </xsl:template>
</xsl:stylesheet>
