<?xml version="1.0"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:str="http://exslt.org/strings"
    xmlns:exsl="http://exslt.org/common"
    xmlns:regexp="http://exslt.org/regular-expressions"
    extension-element-prefixes="str regexp">
    
    <xsl:import href="tpl_post_common.xsl" />
    <xsl:import href="tpl_sanitize_6100.xsl" />
    <xsl:import href="listing_details_3.xsl" />
    
    <xsl:output method="text"/>

<xsl:variable name="category_name" >
	<xsl:call-template name="tpl_sanitize"><xsl:with-param name="text" select="//section//header//ul[@class='breadcrumbs']/li[contains(@class, 'section')]"/></xsl:call-template>
</xsl:variable>
    
    <!--transform CCPostFormData-->
    <xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="post_confirm" match="/">
    {
        "action_url" : "<xsl:value-of select="//section[@id='previewButtons']//form[1]/@action "/>",
        <xsl:if test="//section[@id='previewButtons']//form[1]/@enctype">
            "enctype": "<xsl:value-of select="//section[@id='previewButtons']//form[1]/@enctype "/>",
        </xsl:if>
        "method" : "<xsl:value-of select="//section[@id='previewButtons']//form[1]/@method "/>",
       <xsl:call-template name="post_breadcrumbs"/>,
       "category_name": "<xsl:call-template name="string-trim"><xsl:with-param name="string" select="$category_name" /><xsl:with-param name="trim" select="'&#09;&#10;&#13;&gt; '" /></xsl:call-template>",

        "preview": <xsl:call-template name="listing_details"></xsl:call-template>,
        "message": "<xsl:call-template name="tpl_sanitize"><xsl:with-param name="text" select="//h1[@class='preview-notification']" /></xsl:call-template>",
        "fields" : [
        <xsl:for-each select="//section[@id='previewButtons']//form[1]//input[@type='hidden']">
            {
                <xsl:call-template name="post_input_base_definition">
                    <xsl:with-param name="input" select="." />
                </xsl:call-template>
            },
        </xsl:for-each>
            {
                "name" : "<xsl:value-of select="//section[@id='previewButtons']//form[1]//button/@name" />",
                "value" : "<xsl:value-of select="//section[@id='previewButtons']//form[1]//button/@value" />",
                "type" : "submit"
            }
        ],
        "forms": [
        <xsl:for-each select="//section[@id='previewButtons']//form">
            <xsl:if test="position()!=1">
                {
                    "name": "submit",
                    "top_title": "<xsl:value-of select=".//button" />",
                    "action_url": "<xsl:value-of select="@action" />",
                    "method": "<xsl:value-of select="@method" />",
                    "fields": [
                        <xsl:for-each select=".//input[@type='hidden']">
                        {
                            <xsl:call-template name="post_input_base_definition">
                                <xsl:with-param name="input" select="." />
                            </xsl:call-template>
                        },
                        </xsl:for-each>
                        {
                            "name" : "<xsl:value-of select=".//button/@name" />",
                            "value" : "<xsl:value-of select=".//button/@value" />",
                            "type" : "submit"
                        }
                    ]
                }
                <xsl:if test="position()!=last()">,</xsl:if>
            </xsl:if>
        </xsl:for-each>
            
      ]

    }
    </xsl:template>
    
</xsl:stylesheet>
