<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:import href="tpl_post_common.xsl" />

    <xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="post_contact_info" >
        <xsl:variable name='contact_info_fieldset' select="//form//fieldset[legend/text()='contact info']" />
        {
        "type" : "fieldset",
        "display_name": "<xsl:value-of select="$contact_info_fieldset//legend"/>",
        "fields": [
        <xsl:choose>
            <xsl:when test="$contact_info_fieldset//input[@name='FromEMail']">
                {
                "name" : "FromEMail",
                "value" : <xsl:choose>
                    <xsl:when test="$contact_info_fieldset//input[@name='FromEMail']/@value != 'Your email address'">
                        "<xsl:value-of select="$contact_info_fieldset//input[@name='FromEMail']/@value"/>",
                    </xsl:when>
                    <xsl:otherwise>
                        "",
                        "placeholder": "Your email address",
                    </xsl:otherwise>
                </xsl:choose>
                "type": "text",
                <xsl:choose>
                    <xsl:when test="$contact_info_fieldset//input[@name='FromEMail']/@type='hidden'">
                        "disabled": true,
                    </xsl:when>
                    <xsl:when test="$contact_info_fieldset//input[@name='FromEMail']/@value=''">
                        "autofillable" : true,
                    </xsl:when>
                </xsl:choose>
                "display_name": "from email",
                <xsl:call-template name="post_field_is_error"> <xsl:with-param name="input" select="$contact_info_fieldset//input[@name='FromEMail']"/> </xsl:call-template>,
                <xsl:call-template name="post_field_required"> <xsl:with-param name="input" select="$contact_info_fieldset//input[@name='FromEMail']"/> </xsl:call-template>
                }

            </xsl:when>
        </xsl:choose>
        
        <xsl:if test="$contact_info_fieldset//input[@type='radio']">
            ,
            <xsl:call-template name="post_radio_definition">
                <xsl:with-param name="radio_x_path" select="$contact_info_fieldset//input[@type='radio']" />
                <xsl:with-param name="radio_names" select="$contact_info_fieldset//input[@type='radio']//parent::label"/>
            </xsl:call-template>
        </xsl:if>
        
        
        <xsl:for-each select="$contact_info_fieldset//input[@type='checkbox']">
            ,                    {
            "display_name" : "<xsl:call-template name="post_display_name"><xsl:with-param name="display_name" select="parent::label//preceding-sibling::div//span" /><xsl:with-param name="name" select="@name" /></xsl:call-template>",
            <xsl:if test="parent::label/@data-depends-on">
                "depends_on_field_name" : "<xsl:value-of select="parent::label/@data-depends-on" />",
            </xsl:if>
            <xsl:call-template name="post_input_checkbox_definition">
                <xsl:with-param name="input" select="."/>
            </xsl:call-template>
            }
        </xsl:for-each>
        
        <xsl:for-each select="$contact_info_fieldset//input[(@type='text' or @type='tel') and @name!='FromEMail']">
            ,
            {
            "display_name" : "<xsl:call-template name="post_display_name"><xsl:with-param name="display_name" select="parent::label//preceding-sibling::div//span" /><xsl:with-param name="name" select="@name" /></xsl:call-template>",
            <xsl:if test="parent::label/parent::label/@data-depends-on">
                "depends_on_field_name" : "<xsl:value-of select="parent::label/parent::label/@data-depends-on" />",
            </xsl:if>
            <xsl:call-template name="post_input_base_definition">
                <xsl:with-param name="input" select="."/>
            </xsl:call-template>
            }
        </xsl:for-each>
        ]
        }
    </xsl:template>

</xsl:stylesheet>
