<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:str="http://exslt.org/strings"
    extension-element-prefixes="str">

    <xsl:import href="tpl_sanitize_6100.xsl" />

    <xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="post_copyright_assignment" >
        <xsl:variable name='copyright_fieldset' select="//form//fieldset[contains(@class,'copyright-assignment')]" />
        <xsl:if test="$copyright_fieldset">
            {
            "type" : "fieldset",
            "display_name": "<xsl:call-template name="tpl_sanitize"><xsl:with-param name="text" select="$copyright_fieldset/legend"/></xsl:call-template>",
            "fields": [
            <xsl:for-each select="$copyright_fieldset//input">
                {
                "display_name" : <xsl:choose>
                    <xsl:when test="parent::label/preceding-sibling::div/span">
                        "<xsl:call-template name="tpl_sanitize"><xsl:with-param name="text" select="parent::label/preceding-sibling::div/span"/></xsl:call-template>",
                    </xsl:when>
                    <xsl:when test="following-sibling::div/span">
                        "<xsl:call-template name="tpl_sanitize"><xsl:with-param name="text" select="following-sibling::div/span"/></xsl:call-template>",
                    </xsl:when>
                </xsl:choose>
                <xsl:if test="parent::label/parent::label/@data-depends-on!=''">
                    "depends_on_field_name": "<xsl:value-of select="parent::label/parent::label/@data-depends-on"/>",
                </xsl:if>
                "name" : "<xsl:value-of select="@name"/>",
                "value" : "<xsl:value-of select="@value"/>",
                <xsl:if test="@value=''">
                    "autofillable" : true,
                </xsl:if>
                "type" : "<xsl:value-of select="@type"/>"
                }
                <xsl:if test="position()!=last()">,</xsl:if>
            </xsl:for-each>
            ]
            }
        </xsl:if>
        
    </xsl:template>

</xsl:stylesheet>
