<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:import href="tpl_post_common.xsl" />

    <xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="post_event_features" >
        <xsl:if test="//form//input[contains(@name, 'event_')]">
            {
            "type" : "fieldset",
            "display_name": "event features (choose up to three)",
            
            "fields": [
            <xsl:for-each select="//form//input[(not(@type) or @type!='hidden') and contains(@name, 'event_')]">
                {
                "display_name" : "<xsl:call-template name="post_display_name"><xsl:with-param name="display_name" select="parent::label" /><xsl:with-param name="name" select="@name" /></xsl:call-template>",
                "name" : "<xsl:value-of select="@name" />",
                "value" : "<xsl:value-of select="@value"/>",
                "is_checked": <xsl:choose>
                    <xsl:when test="@checked">
                        true
                    </xsl:when>
                    <xsl:otherwise>
                        false
                    </xsl:otherwise>
                </xsl:choose>,
                "type" : "checkbox",
                "limit_group_name": "event_features",
                "limit_group_value": 3
                }
                <xsl:if test="position()!=last()">,</xsl:if>
            </xsl:for-each>
            ]
            }
        </xsl:if>
        
    </xsl:template>

</xsl:stylesheet>
