<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:import href="tpl_sanitize_6100.xsl" />

    <xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="post_location_info" >
        <xsl:variable name='location_info_input' select="//form//fieldset[contains(@class,'location-info')]" />
        <xsl:if test="$location_info_input">
            {
            "type" : "fieldset",
            "display_name": "<xsl:call-template name="tpl_sanitize"><xsl:with-param name="text" select="$location_info_input/legend"/></xsl:call-template>",
            "fields": [
            <xsl:for-each select="$location_info_input//input">
                {
                "display_name" : "<xsl:call-template name="tpl_sanitize"><xsl:with-param name="text" select="parent::label//preceding-sibling::div//span"/></xsl:call-template>",
                "name" : "<xsl:value-of select="@name" />",
                "value" : "<xsl:value-of select="@value"/>",
                <xsl:if test="parent::label/parent::label/@data-depends-on">
                    "depends_on_field_name" : "<xsl:value-of select="parent::label/parent::label/@data-depends-on" />",
                </xsl:if>
                <xsl:if test="@value=''">
                    "autofillable" : true,
                </xsl:if>
                <xsl:if test="@type = 'checkbox'">
                    "is_checked" : <xsl:choose>
                        <xsl:when test="@checked"> true </xsl:when>
                        <xsl:otherwise> false </xsl:otherwise>
                    </xsl:choose>,
                </xsl:if>
                "type" : "<xsl:value-of select="@type"/>"
                }
                <xsl:if test="position()!=last()">,</xsl:if>
            </xsl:for-each>
            ]
            }
        </xsl:if>
        
    </xsl:template>

</xsl:stylesheet>
