<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:import href="tpl_post_common.xsl" />

    <xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="input_remuneration" >
        <xsl:variable name='remuneration_input' select="//form//input[@name='remuneration']" />
        {
        "display_name" : "<xsl:call-template name="post_display_name"><xsl:with-param name="display_name" select="$remuneration_input//parent::label//span[1]" /><xsl:with-param name="name" select="'remuneration'" /></xsl:call-template>",
        "name" : "remuneration",
        "value" : "<xsl:value-of select="$remuneration_input/@value"/>",
        "type" : "text",
        "required": true,
        <xsl:call-template name="post_field_is_error"> <xsl:with-param name="input" select="//form//input[@name='remuneration']"/> </xsl:call-template>,
        "placeholder": <xsl:choose>
            <xsl:when test="$remuneration_input/@placeholder">
                "<xsl:value-of select="$remuneration_input/@placeholder"/>"
            </xsl:when>
            <xsl:otherwise>
                "<xsl:value-of select="//span[@id='compdet']"/>"
            </xsl:otherwise>
        </xsl:choose>
        
        
        }
    </xsl:template>
    
    <xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="input_remuneration_type" >
        <xsl:variable name='remuneration_type_input' select="//form//input[@name='remuneration_type']" />
        <xsl:call-template name="post_radio_definition">
            <xsl:with-param name="radio_x_path" select="$remuneration_type_input"/>
            <xsl:with-param name="radio_names" select="$remuneration_type_input//parent::label"/>
        </xsl:call-template>
    </xsl:template>

    <xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="post_remuneration" >
        <xsl:variable name='remuneration_input' select="//form//input[@name='remuneration']" />
        <xsl:variable name='remuneration_type_input' select="//form//input[@name='remuneration_type']" />
        <xsl:choose>
            <xsl:when test="$remuneration_input and $remuneration_type_input">
                {
                "type" : "fieldset",
                "fields": [
                <!-- compensation -->
                <xsl:call-template name="input_remuneration"></xsl:call-template>,
                <!-- remuneration_type (pay/no pay) -->
                <xsl:call-template name="input_remuneration_type"></xsl:call-template>
                ]
                }
            </xsl:when>
            <xsl:when test="$remuneration_input">
                <xsl:call-template name="input_remuneration"></xsl:call-template>
            </xsl:when>
            <xsl:when test="$remuneration_type_input">
                <xsl:call-template name="input_remuneration_type"></xsl:call-template>
            </xsl:when>
        </xsl:choose>
    </xsl:template>

</xsl:stylesheet>
