<?xml version="1.0"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:str="http://exslt.org/strings"
    xmlns:exsl="http://exslt.org/common"
    xmlns:regexp="http://exslt.org/regular-expressions"
    extension-element-prefixes="str regexp">
    
    <xsl:import href="tpl_sanitize_6100.xsl" />
    
    <xsl:output method="text"/>
    
    <xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="post_helpful_details" match="/">
    {
        "type":"fieldset",
        "display_name":"<xsl:call-template name="tpl_sanitize"><xsl:with-param name="text" select="./legend"/></xsl:call-template>",
        "fields":[
        {
        "display_name":"language of posting",
        "name":"language",
        "type":"select",
        "required": true,
        "value": "<xsl:value-of select="//select[@name='language']/option[@selected]/@value"/>",
        "autofillable" : true,
        "options":[

        {
        "display_name":"afrikaans",
        "value":"1",
        "is_selected" : <xsl:choose>
            <xsl:when test="//select[@name='language']/option[@selected and @value = '1']">
                true
            </xsl:when>
            <xsl:otherwise>
                false
            </xsl:otherwise>
        </xsl:choose>
        },
        {
        "display_name":"català",
        "value":"2",
        "is_selected" : <xsl:choose>
            <xsl:when test="//select[@name='language']/option[@selected and @value = '2']">
                true
            </xsl:when>
            <xsl:otherwise>
                false
            </xsl:otherwise>
        </xsl:choose>
        },
        {
        "display_name":"dansk",
        "value":"3",
        "is_selected" : <xsl:choose>
            <xsl:when test="//select[@name='language']/option[@selected and @value = '3']">
                true
            </xsl:when>
            <xsl:otherwise>
                false
            </xsl:otherwise>
        </xsl:choose>
        },
        {
        "display_name":"deutsch",
        "value":"4",
        "is_selected" : <xsl:choose>
            <xsl:when test="//select[@name='language']/option[@selected and @value = '4']">
                true
            </xsl:when>
            <xsl:otherwise>
                false
            </xsl:otherwise>
        </xsl:choose>
        },
        {
        "display_name":"english",
        "value":"5",
        "is_selected" : <xsl:choose>
            <xsl:when test="//select[@name='language']/option[@selected and @value = '5']">
                true
            </xsl:when>
            <xsl:otherwise>
                false
            </xsl:otherwise>
        </xsl:choose>
        },
        {
        "display_name":"español",
        "value":"6",
        "is_selected" : <xsl:choose>
            <xsl:when test="//select[@name='language']/option[@selected and @value = '6']">
                true
            </xsl:when>
            <xsl:otherwise>
                false
            </xsl:otherwise>
        </xsl:choose>
        },
        {
        "display_name":"suomi",
        "value":"7",
        "is_selected" : <xsl:choose>
            <xsl:when test="//select[@name='language']/option[@selected and @value = '7']">
                true
            </xsl:when>
            <xsl:otherwise>
                false
            </xsl:otherwise>
        </xsl:choose>
        },
        {
        "display_name":"français",
        "value":"8",
        "is_selected" : <xsl:choose>
            <xsl:when test="//select[@name='language']/option[@selected and @value = '8']">
                true
            </xsl:when>
            <xsl:otherwise>
                false
            </xsl:otherwise>
        </xsl:choose>
        },
        {
        "display_name":"italiano",
        "value":"9",
        "is_selected" : <xsl:choose>
            <xsl:when test="//select[@name='language']/option[@selected and @value = '9']">
                true
            </xsl:when>
            <xsl:otherwise>
                false
            </xsl:otherwise>
        </xsl:choose>
        },
        {
        "display_name":"nederlands",
        "value":"10",
        "is_selected" : <xsl:choose>
            <xsl:when test="//select[@name='language']/option[@selected and @value = '10']">
                true
            </xsl:when>
            <xsl:otherwise>
                false
            </xsl:otherwise>
        </xsl:choose>
        },
        {
        "display_name":"norsk",
        "value":"11",
        "is_selected" : <xsl:choose>
            <xsl:when test="//select[@name='language']/option[@selected and @value = '11']">
                true
            </xsl:when>
            <xsl:otherwise>
                false
            </xsl:otherwise>
        </xsl:choose>
        },
        {
        "display_name":"português",
        "value":"12",
        "is_selected" : <xsl:choose>
            <xsl:when test="//select[@name='language']/option[@selected and @value = '12']">
                true
            </xsl:when>
            <xsl:otherwise>
                false
            </xsl:otherwise>
        </xsl:choose>
        },
        {
        "display_name":"svenska",
        "value":"13",
        "is_selected" : <xsl:choose>
            <xsl:when test="//select[@name='language']/option[@selected and @value = '13']">
                true
            </xsl:when>
            <xsl:otherwise>
                false
            </xsl:otherwise>
        </xsl:choose>
        },
        {
        "display_name":"filipino",
        "value":"14",
        "is_selected" : <xsl:choose>
            <xsl:when test="//select[@name='language']/option[@selected and @value = '14']">
                true
            </xsl:when>
            <xsl:otherwise>
                false
            </xsl:otherwise>
        </xsl:choose>
        },
        {
        "display_name":"türkçe",
        "value":"15",
        "is_selected" : <xsl:choose>
            <xsl:when test="//select[@name='language']/option[@selected and @value = '15']">
                true
            </xsl:when>
            <xsl:otherwise>
                false
            </xsl:otherwise>
        </xsl:choose>
        }
        ]
        },
        {
            "display_name":"body",
            "name":"pers_body_type_is",
            "type":"select",
            "value": "<xsl:value-of select="//select[@name='pers_body_type_is']/option[@selected]/@value"/>",
            "autofillable" : true,
            "options":[
            	{
                	"display_name":"-",
                	"value":""
            	},
                {
                    "display_name":"athletic",
                    "value":"1"
                },
                {
                    "display_name":"average",
                    "value":"2"
                },
                {
                    "display_name":"big",
                    "value":"3"
                },
                {
                    "display_name":"curvy",
                    "value":"4"
                },
                {
                    "display_name":"fit",
                    "value":"5"
                },
                {
                    "display_name":"heavy",
                    "value":"6"
                },
                {
                    "display_name":"hwp",
                    "value":"7"
                },
                {
                    "display_name":"skinny",
                    "value":"8"
                },
                {
                    "display_name":"thin",
                    "value":"9"
                }
            ]
        },
        {
            "display_name":"height",
            "name":"pers_height_is",
            "type":"select",
            "value": "<xsl:value-of select="//select[@name='pers_height_is']/option[@selected]/@value"/>",
            "autofillable" : true,
            "options":[
            	{
                	"display_name":"-",
                	"value":""
            	},
                {
                    "display_name":"6'8\" or > (203cm)",
                    "value":"1"
                },
                {
                    "display_name":"6'7\" (200cm)",
                    "value":"2"
                },
                {
                    "display_name":"6'6\" (198cm)",
                    "value":"3"
                },
                {
                    "display_name":"6'5\" (195cm)",
                    "value":"4"
                },
                {
                    "display_name":"6'4\" (193cm)",
                    "value":"5"
                },
                {
                    "display_name":"6'3\" (190cm)",
                    "value":"6"
                },
                {
                    "display_name":"6'2\" (187cm)",
                    "value":"7"
                },
                {
                    "display_name":"6'1\" (185cm)",
                    "value":"8"
                },
                {
                    "display_name":"6'0\" (182cm)",
                    "value":"9"
                },
                {
                    "display_name":"5'11\" (180cm)",
                    "value":"10"
                },
                {
                    "display_name":"5'10\" (177cm)",
                    "value":"11"
                },
                {
                    "display_name":"5'9\" (175cm)",
                    "value":"12"
                },
                {
                    "display_name":"5'8\" (172cm)",
                    "value":"13"
                },
                {
                    "display_name":"5'7\" (170cm)",
                    "value":"14"
                },
                {
                    "display_name":"5'6\" (167cm)",
                    "value":"15"
                },
                {
                    "display_name":"5'5\" (165cm)",
                    "value":"26"
                },
                {
                    "display_name":"5'4\" (162cm)",
                    "value":"27"
                },
                {
                    "display_name":"5'3\" (160cm)",
                    "value":"28"
                },
                {
                    "display_name":"5'2\" (157cm)",
                    "value":"29"
                },
                {
                    "display_name":"5'1\" (154cm)",
                    "value":"30"
                },
                {
                    "display_name":"5'0\" (152cm)",
                    "value":"31"
                },
                {
                    "display_name":"4'11\" (149cm)",
                    "value":"32"
                },
                {
                    "display_name":"4'10\" (147cm)",
                    "value":"33"
                },
                {
                    "display_name":"4'9\" (144cm)",
                    "value":"34"
                },
                {
                    "display_name":"4'8\" or &lt; (142cm)",
                    "value":"35"
                }
            ]
        },
        {
            "display_name":"status",
            "name":"pers_relationship_status_is",
            "type":"select",
            "value": "<xsl:value-of select="//select[@name='pers_relationship_status_is']/option[@selected]/@value"/>",
            "autofillable" : true,
            "options":[
            	{
                	"display_name":"-",
                	"value":""
            	},
                {
                    "display_name":"widowed",
                    "value":"1"
                },
                {
                    "display_name":"divorced",
                    "value":"2"
                },
                {
                    "display_name":"married",
                    "value":"3"
                },
                {
                    "display_name":"separated",
                    "value":"4"
                },
                {
                    "display_name":"partnered",
                    "value":"5"
                },
                {
                    "display_name":"single",
                    "value":"6"
                }
            ]
        },
        {
            "display_name":"body art",
            "name":"pers_body_art_is",
            "type":"text",
            "autofillable" : true,
            "value":"<xsl:value-of select="//input[@name='pers_body_art_is']/@value"/>"
        },
        {
            "display_name":"diet",
            "name":"pers_diet_is",
            "type":"text",
            "autofillable" : true,
            "value":"<xsl:value-of select="//input[@name='pers_diet_is']/@value"/>"
        },
        {
            "display_name":"dislikes",
            "name":"pers_dislikes_is",
            "type":"text",
            "autofillable" : true,
            "value":"<xsl:value-of select="//input[@name='pers_dislikes_is']/@value"/>"
        },
        {
        "display_name":"drinks",
        "name":"pers_drinking_is",
        "type":"select",
        "value": "<xsl:value-of select="//select[@name='pers_drinking_is']/option[@selected]/@value"/>",
        "autofillable" : true,
        "options":[
        	{
                "display_name":"-",
                "value":""
            },
            {
                "display_name":"never",
                "value":"1"
            },
            {
                "display_name":"rarely",
                "value":"2"
            },
            {
                "display_name":"sometimes",
                "value":"3"
            },
            {
                "display_name":"daily",
                "value":"4"
            }
        ]
        },
        {
            "display_name":"drugs",
            "name":"pers_drugs_is",
            "type":"select",
            "value": "<xsl:value-of select="//select[@name='pers_drugs_is']/option[@selected]/@value"/>",
            "autofillable" : true,
            "options":[
            	{
                	"display_name":"-",
                	"value":""
            	},
                {
                    "display_name":"never",
                    "value":"1"
                },
                {
                    "display_name":"selected",
                    "value":"2"
                },
                {
                    "display_name":"sometimes",
                    "value":"3"
                },
                {
                    "display_name":"daily",
                    "value":"4"
                }
            ]
        },
        {
            "display_name":"education",
            "name":"pers_education_is",
            "type":"text",
            "autofillable" : true,
            "value":"<xsl:value-of select="//input[@name='pers_education_is']/@value"/>"
        },
        {
            "display_name":"ethnicity",
            "name":"pers_ethnicity_is",
            "type":"text",
            "autofillable" : true,
            "value":"<xsl:value-of select="//input[@name='pers_ethnicity_is']/@value"/>"
        },
        {
            "display_name":"eye color",
            "name":"pers_eyes_is",
            "type":"text",
            "autofillable" : true,
            "value":"<xsl:value-of select="//input[@name='pers_eyes_is']/@value"/>"
        },
        {
            "display_name":"facial hair",
            "name":"pers_facial_hair_is",
            "type":"text",
            "autofillable" : true,
            "value":"<xsl:value-of select="//input[@name='pers_facial_hair_is']/@value"/>"
        },
        {
            "display_name":"fears",
            "name":"pers_fears_is",
            "type":"text",
            "autofillable" : true,
            "value":"<xsl:value-of select="//input[@name='pers_fears_is']/@value"/>"
        },
        {
            "display_name":"hair",
            "name":"pers_hair_is",
            "type":"text",
            "autofillable" : true,
            "value":"<xsl:value-of select="//input[@name='pers_hair_is']/@value"/>"
        },
        {
            "display_name":"hiv/hsv/hpv",
            "name":"pers_std_status_is",
            "type":"text",
            "autofillable" : true,
            "value":"<xsl:value-of select="//input[@name='pers_std_status_is']/@value"/>"
        },
        {
            "display_name":"interests",
            "name":"pers_interests_is",
            "type":"text",
            "autofillable" : true,
            "value":"<xsl:value-of select="//input[@name='pers_interests_is']/@value"/>"
        },
        {
            "display_name":"kids, have",
            "name":"pers_kids_has_is",
            "type":"text",
            "autofillable" : true,
            "value":"<xsl:value-of select="//input[@name='pers_kids_has_is']/@value"/>"
        },
        {
            "display_name":"kids, want",
            "name":"pers_kids_want_is",
            "type":"text",
            "autofillable" : true,
            "value":"<xsl:value-of select="//input[@name='pers_kids_want_is']/@value"/>"
        },
        {
            "display_name":"likes",
            "name":"pers_likes_is",
            "type":"text",
            "autofillable" : true,
            "value":"<xsl:value-of select="//input[@name='pers_likes_is']/@value"/>"
        },
        {
            "display_name":"native language",
            "name":"pers_lang_native_is",
            "type":"text",
            "autofillable" : true,
            "value":"<xsl:value-of select="//input[@name='pers_lang_native_is']/@value"/>"
        },
        {
            "display_name":"occupation",
            "name":"pers_occupation_is",
            "type":"text",
            "autofillable" : true,
            "value":"<xsl:value-of select="//input[@name='pers_occupation_is']/@value"/>"
        },
        {
            "display_name":"personality",
            "name":"pers_personality_is",
            "type":"text",
            "autofillable" : true,
            "value":"<xsl:value-of select="//input[@name='pers_personality_is']/@value"/>"
        },
        
        {
            "display_name":"pets",
            "name":"pers_pets_is",
            "type":"text",
            "autofillable" : true,
            "value":"<xsl:value-of select="//input[@name='pers_pets_is']/@value"/>"
        },
        {
            "display_name":"politics",
            "name":"pers_politics_is",
            "type":"text",
            "autofillable" : true,
            "value":"<xsl:value-of select="//input[@name='pers_politics_is']/@value"/>"
        },
        {
            "display_name":"religion",
            "name":"pers_religion_is",
            "type":"text",
            "autofillable" : true,
            "value":"<xsl:value-of select="//input[@name='pers_religion_is']/@value"/>"
        },
        {
            "display_name":"resembles",
            "name":"pers_resembles_is",
            "type":"text",
            "autofillable" : true,
            "value":"<xsl:value-of select="//input[@name='pers_resembles_is']/@value"/>"
        },
        {
            "display_name":"smokes",
            "name":"pers_smoking_is",
            "type":"select",
            "value": "<xsl:value-of select="//select[@name='pers_smoking_is']/option[@selected]/@value"/>",
            "autofillable" : true,
            "options":[
            	{
                	"display_name":"-",
                	"value":""
            	},
                {
                    "display_name":"never",
                    "value":"1"
                },
                {
                    "display_name":"rarely",
                    "value":"2"
                },
                {
                    "display_name":"sometimes",
                    "value":"3"
                },
                {
                    "display_name":"daily",
                    "value":"4"
                }
            ]
        },
        {
            "display_name":"weight",
            "name":"pers_weight_is",
            "type":"text",
            "autofillable" : true,
            "value":"<xsl:value-of select="//input[@name='pers_weight_is']/@value"/>"
        },
        {
            "display_name":"zodiac",
            "name":"pers_zodiac_is",
            "type":"select",
            "value": "<xsl:value-of select="//select[@name='pers_zodiac_is']/option[@selected]/@value"/>",
            "autofillable" : true,
            "options":[
            	{
                	"display_name":"-",
                	"value":""
            	},
                {
                    "display_name":"♈ aries",
                    "value":"1"
                },
                {
                    "display_name":"♉ taurus",
                    "value":"2"
                },
                {
                    "display_name":"♊ gemini",
                    "value":"3"
                },
                {
                    "display_name":"♋ cancer",
                    "value":"4"
                },
                {
                    "display_name":"♌ leo",
                    "value":"5"
                },
                {
                    "display_name":"♍ virgo",
                    "value":"6"
                },
                {
                    "display_name":"♎ libra",
                    "value":"7"
                },
                {
                    "display_name":"♏ scorpio",
                    "value":"8"
                },
                {
                    "display_name":"♐ sagittarius",
                    "value":"9"
                },
                {
                    "display_name":"♑ capricorn",
                    "value":"10"
                },
                {
                    "display_name":"♒ aquarius",
                    "value":"11"
                },
                {
                    "display_name":"♓ pisces",
                    "value":"12"
                }
            ]
        },
        {
            "display_name":"age",
            "name":"pers_age",
            "value":"<xsl:value-of select="//input[@name='pers_age']/@value"/>",
            "autofillable" : true,
            "type":"text"
        }
        <xsl:if test="//form//input[@name='pers_freeform_answer_0_is']">
            ,
            {
                "display_name" : "custom question",
                "autofillable" : true,
                <xsl:call-template name="post_input_base_definition">
                    <xsl:with-param name="input" select="//form//input[@name='pers_freeform_question_0_is']"/>
                </xsl:call-template>
            },
            {
                "display_name" : "custom answer",
                "autofillable" : true,
                <xsl:call-template name="post_input_base_definition">
                    <xsl:with-param name="input" select="//form//input[@name='pers_freeform_answer_0_is']"/>
                </xsl:call-template>
            }
        </xsl:if>
        <xsl:if test="//form//input[@name='pers_freeform_answer_1_is']">
            ,
            {
                "display_name" : "custom question",
                "autofillable" : true,
                <xsl:call-template name="post_input_base_definition">
                    <xsl:with-param name="input" select="//form//input[@name='pers_freeform_question_1_is']"/>
                </xsl:call-template>
            },
            {
                "display_name" : "custom answer",
                "autofillable" : true,
                <xsl:call-template name="post_input_base_definition">
                    <xsl:with-param name="input" select="//form//input[@name='pers_freeform_answer_1_is']"/>
                </xsl:call-template>
            }
        </xsl:if>
        <xsl:if test="//form//input[@name='pers_freeform_answer_2_is']">
            ,
            {
                "display_name" : "custom question",
                "autofillable" : true,
                <xsl:call-template name="post_input_base_definition">
                    <xsl:with-param name="input" select="//form//input[@name='pers_freeform_question_2_is']"/>
                </xsl:call-template>
            },
            {
                "display_name" : "custom answer",
                "autofillable" : true,
                <xsl:call-template name="post_input_base_definition">
                    <xsl:with-param name="input" select="//form//input[@name='pers_freeform_answer_2_is']"/>
                </xsl:call-template>
            }
        </xsl:if>
        ]
    }
    </xsl:template>
    
</xsl:stylesheet>
