<?xml version="1.0"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:str="http://exslt.org/strings"
    xmlns:exsl="http://exslt.org/common"
    xmlns:regexp="http://exslt.org/regular-expressions"
    extension-element-prefixes="str regexp">
    
    <xsl:import href="tpl_post_common.xsl" />
    
    <xsl:output method="text"/>
        
    <!--transform CCPostFormData-->
    <xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="post_imageupload" match="/">
    {
        <xsl:call-template name="post_breadcrumbs"/>,
        "name": "submit",
        "action_url" : "<xsl:value-of select="//form[last()]/@action "/>",
        <xsl:if test="//form[last()]/@enctype">
            "enctype": "<xsl:value-of select="//form[last()]/@enctype "/>",
        </xsl:if>
        "method" : "<xsl:value-of select="//form[last()]/@method "/>",
        "fields" : [
            <xsl:for-each select="//form[.//button[@class='done bigbutton']]">
                {
                "name" : "<xsl:value-of select=".//button/@name" />",
                "value" : "<xsl:value-of select=".//button/@value" />",
                "type" : "submit"
                },
                <xsl:for-each select=".//input[@type='hidden']">
                    {
                    <xsl:call-template name="post_input_base_definition">
                        <xsl:with-param name="input" select="." />
                    </xsl:call-template>
                    }
                    <xsl:if test="position()!=last()">,</xsl:if>
                </xsl:for-each>
            </xsl:for-each>
        ],
        "forms" : [
            {
                "name": "upload",
                "action_url" : "<xsl:value-of select="//div[@id='uploader']//form/@action "/>",
                <xsl:if test="//div[@id='uploader']//form/@enctype">
                    "enctype": "<xsl:value-of select="//div[@id='uploader']//form/@enctype "/>",
                </xsl:if>
                "method" : "<xsl:value-of select="//div[@id='uploader']//form/@method "/>",
                "fields" : [
                    <xsl:for-each select="//div[@id='uploader']//form//input[@type='hidden']">
                    {
                        <xsl:call-template name="post_input_base_definition">
                            <xsl:with-param name="input" select="." />
                        </xsl:call-template>
                    },
                    </xsl:for-each>
                    {
                        "name" : "file",
                        "type" : "file"
                    },
                    {
                        "name": "<xsl:value-of select="//div[@id='uploader']//form//button/@name" />",
                        "value": "<xsl:value-of select="//div[@id='uploader']//form//button/@value" />",
                        "type": "submit"
                    }
                ]
            },
            {
                "name": "reord",
                "action_url" : "<xsl:value-of select="//div[@id='uploader']//form/@action "/>",
                <xsl:if test="//div[@id='uploader']//form/@enctype">
                    "enctype": "<xsl:value-of select="//div[@id='uploader']//form/@enctype "/>",
                </xsl:if>
                "method" : "<xsl:value-of select="//div[@id='uploader']//form/@method "/>",
                "fields" : [
                    {
                        "name": "a",
                        "value": "reord",
                        "type": "hidden"
                    },
                    {
                        "name": "imgID",
                        "value": "",
                        "augmentation_name": "imgID",
                        "type": "hidden"
                    },
                    {
                        "name": "cryptedStepCheck",
                        "value": "<xsl:value-of select="//input[@name='cryptedStepCheck']/@value"/>",
                        "type": "hidden"
                    }
                ]
            }
            <xsl:for-each select="//figure[@class!='imgbox template']//form[@class='delete ajax']">
            ,
            {
                "name": "delete",
                "action_url" : "<xsl:value-of select="./@action "/>",
                <xsl:if test="./@enctype">
                    "enctype": "<xsl:value-of select="./@enctype "/>",
                </xsl:if>
                "method" : "<xsl:value-of select="./@method "/>",
                "img_src" : "<xsl:value-of select=".//following-sibling::div//img/@src"/>",
                "fields" : [
                <xsl:for-each select=".//input[@type='hidden']">
                    {
                        <xsl:call-template name="post_input_base_definition">
                            <xsl:with-param name="input" select="." />
                        </xsl:call-template>
                    },
                </xsl:for-each>
                    {
                        "name" : "<xsl:value-of select=".//button/@name" />",
                        "value" : "<xsl:value-of select=".//button/@value" />",
                        "type" : "submit"
                    }
                ]
            }
            </xsl:for-each>           
        ]
    }
    </xsl:template>
    
</xsl:stylesheet>
