<?xml version="1.0"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:import href="tpl_sanitize_6100.xsl"/>
    <xsl:import href="tpl_post_common.xsl"/>
    <xsl:import href="xml-to-string.xsl"/>
    <xsl:import href="post_helpful_details_6150.xsl"/>

    <!--transform CCPostFormData-->
    <xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="post_map_info" match="/">
    {
        <xsl:call-template name="post_single_form_definition"/>,
        <xsl:call-template name="post_breadcrumbs"/>,
        "top_title": "<xsl:call-template name="tpl_sanitize">
            <xsl:with-param name="text" select="$top_title"/>
        </xsl:call-template>",
        "fields" : [
        <xsl:for-each select="//form[@id='leafletForm']/input">
            {
                "display_name" : "",
                "name" : "<xsl:value-of select="@name"/>",
                "value" : "<xsl:value-of select="@value"/>",
                <xsl:choose>
                    <xsl:when test="@id = 'curlat'">
                        "augmentation_name" : "latitude",
                        "geocoder_name" : "latitude",
                    </xsl:when>
                    <xsl:when test="@id = 'curlng'">
                        "augmentation_name" : "longitude",
                        "geocoder_name" : "longitude",
                    </xsl:when>
                    <xsl:when test="@id = 'areaid'">
                        "augmentation_name" : "areaID",
                        "geocoder_name" : "area_id",
                    </xsl:when>
                    <xsl:when test="@id = 'draggedpin'">
                        "augmentation_name" : "draggedPin",
                    </xsl:when>
                    <xsl:when test="@id = 'geocoder_lat'">
                        "augmentation_name" : "geocoderLatitude",
                    </xsl:when>
                    <xsl:when test="@id = 'geocoder_lng'">
                        "augmentation_name" : "geocoderLongitude",
                    </xsl:when>
                    <xsl:when test="@id = 'geocoder_accuracy'">
                        "augmentation_name" : "geocoderAccuracy",
                        "geocoder_name" : "accuracy",
                    </xsl:when>
                </xsl:choose>
                "type" : "text"
            }, </xsl:for-each>
        <xsl:for-each select="//form//div[@id='mapinfo']/div">
            {
                "display_name" : "<xsl:value-of select=".//div"/>",
                "name" : "<xsl:value-of select=".//input//@name"/>",
                "value" : "<xsl:value-of select=".//input//@value"/>",
                <xsl:choose>
                    <xsl:when test=".//input//@id = 'xstreet0'">
                        "augmentation_name" : "street",
                    </xsl:when>
                    <xsl:when test=".//input//@id = 'xstreet1'">
                        "augmentation_name" : "crossStreet",
                    </xsl:when>
                    <xsl:when test=".//input//@id = 'city'">
                        "augmentation_name" : "city",
                    </xsl:when>
                    <xsl:when test=".//input//@id = 'postal_code'">
                        "augmentation_name" : "postalCode",
                        "geocoder_name" : "postal",
                    </xsl:when>
                </xsl:choose>
                "type" : "text"
            }<xsl:if test="position()!=last()">,</xsl:if>
        </xsl:for-each>
        ]
    }
    </xsl:template>

</xsl:stylesheet>
