<?xml version="1.0"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:import href="tpl_sanitize_6100.xsl"/>
    <xsl:import href="tpl_prepend_url_6100.xsl"/>

    <xsl:param name="URL" />
    <xsl:param name="baseURL" />

    <xsl:output method="text"/>

    <!--transform CCPostFormData-->
    <xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="post_pwd_reset" match="/">
    {
        <xsl:variable name="form_content" select="//form"/>

        <xsl:choose>
            <xsl:when test="string-length($form_content) > 0">
                "action_url" : "<xsl:call-template name="tpl_prepend_href_with_base_url"><xsl:with-param name="href" select="//form[contains(@action, 'reset')]/@action"/></xsl:call-template>",
                <xsl:if test="//form/@enctype">
        "enctype": "<xsl:value-of select="//form[contains(@action, 'reset')]/@enctype "/>",
                </xsl:if>
        "method" : "<xsl:value-of select="//form[contains(@action, 'reset')]/@method"/>",
                <xsl:variable name="error" select="//div[contains(@class, 'error')]/p"/>
                <xsl:if test="$error">
        "error": "<xsl:call-template name="tpl_sanitize"> <xsl:with-param name="text" select="$error"/> </xsl:call-template> ",
                </xsl:if>
        "fields" : [ <xsl:for-each select="//form/input[@type='hidden']">
            {
                "name" : "<xsl:value-of select="@name"/>",
                "value" : "<xsl:value-of select="@value"/>",
                "type" : "<xsl:value-of select="@type"/>"
            },</xsl:for-each>
            {
                "name" : "<xsl:value-of select="//form//input[@type='email']/@name"/>",
                "display_name": "<xsl:value-of select="//form//input[@type='email']//preceding-sibling::label"/>",
                "value" : "<xsl:value-of select="//form//input[@type='email']/@value"/>",
                "type" : "email",
                "required": true
            },
            {
                "name" : "<xsl:value-of select="//form//button/@name"/>",
                "value" : "<xsl:value-of select="//form//button"/>",
                "type" : "submit"
            }
        ]
            </xsl:when>
            <xsl:otherwise>"message": "<xsl:value-of select="normalize-space(//div[@class='account-thanks-panel'])"/>"</xsl:otherwise>
        </xsl:choose>
    }
    </xsl:template>

</xsl:stylesheet>
