<?xml version="1.0"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:str="http://exslt.org/strings"
    xmlns:exsl="http://exslt.org/common"
    xmlns:regexp="http://exslt.org/regular-expressions"
    extension-element-prefixes="str regexp">
    
    <xsl:import href="tpl_sanitize_6100.xsl" />
    <xsl:import href="tpl_post_common.xsl" />
    
    <xsl:output method="text"/>
    
    <!--transform CCPostFormData-->
    <xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="post_personalsseeking" match="/">
    {
    
        <xsl:call-template name="post_single_form_definition"/>,
        <xsl:call-template name="post_breadcrumbs"/>,

        "fields" : [
        <xsl:for-each select="//input[@type='hidden']">
            {
            <xsl:call-template name="post_input_base_definition">
                <xsl:with-param name="input" select="." />
            </xsl:call-template>
            },
        </xsl:for-each>
        
        <xsl:for-each select="//form//fieldset">
            {
                "type" : "fieldset",
                "display_name": "<xsl:value-of select="./legend"/>",
                "fields": [
                    <xsl:call-template name="post_radio_definition">
                        <xsl:with-param name="radio_x_path" select="./input" />
                        <xsl:with-param name="radio_names" select="./input/following-sibling::label"/>
                    </xsl:call-template>
                ]
            }
            <xsl:if test="position()!=last()">,</xsl:if>
        </xsl:for-each>
        ]

    }
    </xsl:template>
    
</xsl:stylesheet>
