<?xml version="1.0"?>

<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
>

    <xsl:import href="tpl_post_common.xsl" />
    <xsl:import href="tpl_sanitize_6100.xsl" />
    <xsl:import href="tpl_prepend_url_6100.xsl" />

    <xsl:output method="text"/>
    <!--transform CCPostFormData-->

    <xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="post_terms_of_use" match="/">
    {
       "message": "<xsl:call-template name="tpl_sanitize">
                        <xsl:with-param name="text" select="//textarea/text()"/>
                   </xsl:call-template>",
       "forms": [
                <xsl:for-each select="//form[@action='/login/tou']">
                    {
                        "name": "submit",
                        "top_title": "<xsl:value-of select="//input[@type='submit']//@value" />",
                        "action_url": "<xsl:call-template name="tpl_prepend_href_with_base_url">
                                            <xsl:with-param name="href" select="@action"/>
                                        </xsl:call-template>",
                        "method": "<xsl:value-of select="@method" />",
                        "fields": [
                            <xsl:for-each select=".//input[@type='hidden']">
                            {
                                <xsl:call-template name="post_input_base_definition">
                                    <xsl:with-param name="input" select="." />
                                </xsl:call-template>
                            },
                            </xsl:for-each>
                            {
                                "value" : "<xsl:value-of select=".//button/@value" />",
                                "type" : "submit"
                            }
                        ]
                    }
                <xsl:if test="position()!=last()">,</xsl:if>
                </xsl:for-each>
            ]
    }
    </xsl:template>
</xsl:stylesheet>
