window.hideElementsByTagName = function(name) {
    var elements = document.getElementsByTagName(name);
    for (var i = 0; i < elements.length; ++i) {
        elements[i].style.display = 'none';
    }
};
hideElementsByTagName('div');
hideElementsByTagName('header');
hideElementsByTagName('section');

var MutationObserver = window.MutationObserver || window.WebKitMutationObserver || window.MozMutationObserver;

var replyInfoPopup = document.getElementsByClassName('reply-info js-only')[0];

window.replyInfoObserver = new MutationObserver(function(mutations) {
    mutations.forEach(function(mutation) {
        if (mutation.type === 'attributes') {
            if ('none' !== replyInfoPopup.style.display) {
                window.replyInfoObserver.disconnect();
                var phonePopup = document.getElementsByClassName('reply-tel-number')[0];
                var phoneButton = document.getElementsByClassName('show-phone')[0];
                if (phoneButton) {
                    window.phoneObserver = new MutationObserver(function(mutations) {
                        mutations.forEach(function(mutation) {
                            if (mutation.type === 'attributes') {
                                if ('none' !== phonePopup.style.display) {
                                    window.phoneObserver.disconnect();
                                    captchaSolved(document.documentElement.innerHTML);
                                }
                            }
                        });
                    });
                    
                    window.phoneObserver.observe(phonePopup, { attributes: true });
                    
                    phoneButton.click();
                      
                    var content = document.getElementsByClassName('lbcontent')[0];
                    content.style.display = 'block';
                    window.errorObserver = new MutationObserver(function(mutations) {
                        mutations.forEach(function(mutation) {
                            if (mutation.type === 'childList') {
                                if (content.childElementCount == 0) {
                                    window.errorObserver.disconnect();
                                    captchaSolved(document.documentElement.innerHTML);
                                }
                            }
                        });
                    });
                      
                    window.errorObserver.observe(content, { childList: true });
                      
                } else {
                    captchaSolved(document.documentElement.innerHTML);
                }
            }
        }
    });
});

window.replyInfoObserver.observe(replyInfoPopup, { attributes: true });

var replyButton = document.getElementsByClassName('reply-button js-only')[0];
if (replyButton) {
    replyButton.click();
    window.webkit.messageHandlers.reCaptchaiOS.postMessage(["didLoad"]);
} else {
    captchaError("Reply button doesn't exist");
}

function captchaSolved(response) {
    if (captchaSolved.done) return;
    window.webkit.messageHandlers.reCaptchaiOS.postMessage(["didSolve", response]);
    captchaSolved.done = true;
}

function captchaError(error) {
    if (captchaError.done) return;
    window.webkit.messageHandlers.reCaptchaiOS.postMessage(["didError", error]);
    captchaError.done = true;
}
